[arch-commits] Commit in python-gnuplot/trunk (PKGBUILD)

Alexander Rødseth arodseth at nymeria.archlinux.org
Tue Mar 25 11:31:20 UTC 2014


    Date: Tuesday, March 25, 2014 @ 12:31:20
  Author: arodseth
Revision: 108245

upgpkg: python-gnuplot 1.8-2

Modified:
  python-gnuplot/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2014-03-25 10:42:23 UTC (rev 108244)
+++ PKGBUILD	2014-03-25 11:31:20 UTC (rev 108245)
@@ -1,10 +1,10 @@
-#$Id$
+# $Id$
 # Maintainer: Alexander Rødseth <rodseth at gmail.com>
 # Contributor: Michael Krauss <hippodriver at gmx.net>
 # Contributor : Baptiste Jonglez <zerstorer at free dot fr>
 
 pkgbase=python-gnuplot
-pkgname=('python-gnuplot' 'python2-gnuplot')
+pkgname=('python2-gnuplot')
 pkgver=1.8
 pkgrel=2
 pkgdesc='Plot graphs with Gnuplot'
@@ -11,7 +11,7 @@
 arch=('any')
 license=('LGPL')
 url='http://gnuplot-py.sourceforge.net/'
-makedepends=('python-setuptools' 'python2-setuptools')
+makedepends=('python2-setuptools' 'python2-numpy')
 source=("http://downloads.sourceforge.net/gnuplot-py/gnuplot-py-$pkgver.tar.gz")
 sha256sums=('ab339be7847d30a8acfd616f27b5021bfde0999b7bf2d68400fbe62c53106e21')
 
@@ -26,12 +26,18 @@
   python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
 }
 
+# TODO: See if someone has developed a Gnuplot module for python 3.
+#       Could not find one and the following lead nowhere:
 package_python-gnuplot() {
+  # remember to add python-setuptools to makedepends if this is to be tested
   depends=('python' 'gnuplot' 'python-numpy')
 
   cd "gnuplot-py-$pkgver"
+  iconv --from-code=ISO-8859-1 --to-code=UTF-8 gnuplot_Suites.py > tmp
+  mv tmp gnuplot_Suites.py
+  for f in *.py; do 2to3 --no-diffs -w -n -j 4 $f || echo "--- $f"; done
+  for f in *.py; do sed -i 's/from ./from /g' $f; sed -i 's/from import/from . import/g' $f; done
   python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
 }
 
-
 # vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list